CamelMaildirSummary
3
CAMEL Library

# CamelMaildirSummary

## Synopsis

                        CamelMaildirSummary;
                        CamelMaildirMessageContentInfo;
                        CamelMaildirMessageInfo;
    CamelMaildirSummary* camel_maildir_summary_new          (struct _CamelFolder *folder,
                                                             const char *filename,
                                                             const char *maildirdir,
                                                             CamelIndex *index);
    char*               camel_maildir_summary_info_to_name  (const CamelMaildirMessageInfo *info);
    int                 camel_maildir_summary_name_to_info  (CamelMaildirMessageInfo *info,
                                                             const char *name);
    #define             camel_maildir_info_filename         (x)
    #define             camel_maildir_info_set_filename     (x, s)

## Description

## Details

### CamelMaildirSummary

    typedef struct {
    	CamelLocalSummary parent;
    	struct _CamelMaildirSummaryPrivate *priv;
    } CamelMaildirSummary;

### CamelMaildirMessageContentInfo

    typedef struct {
    	CamelMessageContentInfo info;
    } CamelMaildirMessageContentInfo;

### CamelMaildirMessageInfo

    typedef struct {
    	CamelLocalMessageInfo info;

    	char *filename;		/* maildir has this annoying status shit on the end of the filename, use this to get the real message id */
    } CamelMaildirMessageInfo;

### camel_maildir_summary_new ()

    CamelMaildirSummary* camel_maildir_summary_new          (struct _CamelFolder *folder,
                                                             const char *filename,
                                                             const char *maildirdir,
                                                             CamelIndex *index);

Create a new CamelMaildirSummary object.

`folder` :

  parent folder.

`filename` :

  Path to root of this maildir directory (containing new/tmp/cur directories).

`maildirdir` :

`index` :

  Index if one is reqiured.

Returns :

  A new CamelMaildirSummary object.

### camel_maildir_summary_info_to_name ()

    char*               camel_maildir_summary_info_to_name  (const CamelMaildirMessageInfo *info);

`info` :

Returns :

### camel_maildir_summary_name_to_info ()

    int                 camel_maildir_summary_name_to_info  (CamelMaildirMessageInfo *info,
                                                             const char *name);

`info` :

`name` :

Returns :

### camel_maildir_info_filename()

    #define camel_maildir_info_filename(x) (((CamelMaildirMessageInfo *)x)->filename)

`x` :

### camel_maildir_info_set_filename()

    #define camel_maildir_info_set_filename(x, s) (g_free(((CamelMaildirMessageInfo *)x)->filename),((CamelMaildirMessageInfo *)x)->filename = s)

`x` :

`s` :